# tbb::recursive_mutex Class Reference
[Synchronization]

`#include <recursive_mutex.h>`

List of all members.

## Classes
class | scoped_lock
| The scoped locking pattern. More...
## Public Types
typedef LPCRITICAL_SECTION | native_handle_type
| Return native_handle.
typedef pthread_mutex_t * | native_handle_type
## Public Member Functions
| recursive_mutex ()
| Construct unacquired recursive_mutex.
void | lock ()
| Acquire lock.
bool | try_lock ()
| Try acquiring lock (non-blocking).
void | unlock ()
| Release lock.
native_handle_type | native_handle ()
## Static Public Attributes
static const bool | is_rw_mutex = false
static const bool | is_recursive_mutex = true
static const bool | is_fair_mutex = false
## Friends
class | scoped_lock

## Detailed Description

Mutex that allows recursive mutex acquisition.

## Member Function Documentation

bool tbb::recursive_mutex::try_lock | ( |  | ) | `[inline]`

Try acquiring lock (non-blocking).

Return true if lock acquired; false otherwise.

References tbb::aligned_space< T, N >::begin().

Referenced by tbb::recursive_mutex::scoped_lock::try_acquire().

The documentation for this class was generated from the following file:

- recursive_mutex.h

Copyright © 2005-2013 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.